<?xml version="1.0" encoding="utf-8"?>
<dune_plugin>
  <name>home_tv_reserve</name>
  <version_index>57</version_index>
  <version>3.4.3 (17.09.2025)</version>
  <caption>Домашнее ТВ v3</caption>
  <type>php</type>
  <global_actions>
	<boot_end>
	  <type>plugin_system</type>
	  <data>
		<run_string>bin/register_supplier</run_string>
	  </data>
	</boot_end>
	<install>
	  <type>plugin_system</type>
	  <data>
		<run_string>echo &gt;$FS_PREFIX/tmp/home_tv_was_installed_mark</run_string>
	  </data>
	</install>
	<uninstall>
	  <type>plugin_handle_user_input</type>
	  <params>
		<handler_id>plugin_launcher</handler_id>
		<control_id>plugin_entry</control_id>
		<action_id>uninstall</action_id>
	  </params>
	</uninstall>
	<update>
	  <type>plugin_system</type>
	  <data>
		<run_string>echo &gt;$FS_PREFIX/tmp/home_tv_was_updated_mark</run_string>
	  </data>
	</update>
  </global_actions>
  <embeddable_plugin_folders>
	<enabled>yes</enabled>
	<update_action>
	  <type>plugin_handle_user_input</type>
	  <data>
		<show_dialog_delay>10000</show_dialog_delay>
	  </data>
	  <params>
		<handler_id>plugin_launcher</handler_id>
		<control_id>plugin_entry</control_id>
		<action_id>update_epfs</action_id>
	  </params>
	</update_action>
	<mapping>
	  <tv>htv</tv>
	</mapping>
  </embeddable_plugin_folders>
  <entry_points>
	<entry_point>
	  <parent_media_url>root://tv</parent_media_url>
	  <media_url>run</media_url>
	  <caption>Домашнее ТВ</caption>
	  <icon_url>plugin_file://img/plugin_icon.png</icon_url>
	  <badge_icon_url>plugin_file://img/transparent.aai</badge_icon_url>
	  <small_icon_url>plugin_file://img/plugin_icon_small.png</small_icon_url>
	  <override_default_badge>yes</override_default_badge>
	  <icon_fit_scale_factor>1.05</icon_fit_scale_factor>
	  <ip_address_required>yes</ip_address_required>
	  <valid_time_required>no</valid_time_required>
	  <actions>
		<key_enter>
		  <type>plugin_handle_user_input</type>
		  <params>
			<handler_id>plugin_launcher</handler_id>
			<control_id>plugin_entry</control_id>
			<action_id>launch</action_id>
			<mandratory_playback>0</mandratory_playback>
		  </params>
		</key_enter>
		<key_play>
		  <type>plugin_handle_user_input</type>
		  <params>
			<handler_id>plugin_launcher</handler_id>
			<control_id>plugin_entry</control_id>
			<action_id>launch</action_id>
			<mandratory_playback>1</mandratory_playback>
		  </params>
		</key_play>
	  </actions>
	  <popup_menu>
		<menu_items>
		  <menu_item>
			<caption>Настройки плагина</caption>
			<icon_url>plugin_file://img/settings.png</icon_url>
			<action>
			  <type>plugin_handle_user_input</type>
			  <params>
				<handler_id>plugin_launcher</handler_id>
				<control_id>plugin_entry</control_id>
				<action_id>open_setup</action_id>
			  </params>
			</action>
		  </menu_item>
		  <menu_item>
			<caption>Перезагрузить DUNE</caption>
			<icon_url>plugin_file://img/hard_reset.png</icon_url>
			<action>
			  <type>plugin_handle_user_input</type>
			  <params>
				<handler_id>plugin_launcher</handler_id>
				<control_id>hard_reset</control_id>
			  </params>
			</action>
		  </menu_item>
		</menu_items>
	  </popup_menu>
	</entry_point>
  </entry_points>
  <params>
	<program>home_tv_plugin.php</program>
  </params>
  <auto_resume>
	<enable>no</enable>
	<action>
		<type>plugin_handle_user_input</type>
		<params>
			<handler_id>plugin_launcher</handler_id>
			<control_id>plugin_entry</control_id>
		   <mandratory_playback>1</mandratory_playback>
		</params>
	</action>
	<ip_address_required>yes</ip_address_required>
	<valid_time_required>yes</valid_time_required>
  </auto_resume>
  <operation_timeout>
	<default>240</default>
	<get_epg_day>30</get_epg_day>
  </operation_timeout>
  <operation_progress_dialog_show_delay>
	<default>20000</default>
  </operation_progress_dialog_show_delay>
  <progress_dialog_title>Пожалуйста, подождите...</progress_dialog_title>
  <check_update>
	<schema>2</schema>
	<url>http://127.0.0.1:80/cgi-bin/plugins/home_tv/update</url>
	<timeout>3</timeout>
	<required>no</required>
	<auto>yes</auto>
  </check_update>
</dune_plugin>